summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--dist-assets/linux/before-install.sh3
-rwxr-xr-xdist-assets/pkg-scripts/preinstall3
2 files changed, 6 insertions, 0 deletions
diff --git a/dist-assets/linux/before-install.sh b/dist-assets/linux/before-install.sh
index 2c940688b2..9397e8b832 100644
--- a/dist-assets/linux/before-install.sh
+++ b/dist-assets/linux/before-install.sh
@@ -7,3 +7,6 @@ if which systemctl &> /dev/null; then
systemctl disable mullvad-daemon.service
fi
fi
+
+#TODO: Remove after releasing 2019.2
+rm /var/cache/mullvad-vpn/relays.json || true
diff --git a/dist-assets/pkg-scripts/preinstall b/dist-assets/pkg-scripts/preinstall
index 0b243f255b..374ccc2e2c 100755
--- a/dist-assets/pkg-scripts/preinstall
+++ b/dist-assets/pkg-scripts/preinstall
@@ -75,3 +75,6 @@ if [ -d "$OLD_CACHE_DIR" ]; then
mv "$OLD_CACHE_DIR"/* "$NEW_CACHE_DIR/" || echo "Unable to migrate cache. No cache files?"
rm -rf "$OLD_CACHE_DIR"
fi
+
+# TODO: Remove after 2019.2 has been released
+rm "$NEW_CACHE_DIR/relays.json" || echo "Unable to remove old relay list"